Bug 1281876 - Review Request: enki - Extensible text editor for programmers
Review Request: enki - Extensible text editor for programmers
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christian Dersch
Fedora Extras Quality Assurance
: FutureFeature, Reopened
: 984560 (view as bug list)
Depends On: 1273601
Blocks: qt-reviews
  Show dependency treegraph
 
Reported: 2015-11-13 11:50 EST by Raphael Groner
Modified: 2016-01-30 23:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 984560
Environment:
Last Closed: 2016-01-11 16:54:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lupinix.fedora: fedora‑review+


Attachments (Terms of Use)
Output of licensecheck (14.17 KB, text/plain)
2015-11-14 17:41 EST, Christian Dersch
no flags Details

  None (edit)
Description Raphael Groner 2015-11-13 11:50:34 EST
SPEC: https://raphgro.fedorapeople.org/review/qt/enki/enki.spec
SRPM: https://raphgro.fedorapeople.org/review/qt/enki/enki-15.05.0-1.src.rpm
Description: Extensible text editor for programmers
FAS user name: raphgro

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11821962

I take over and continue from the original review request of Yajo.


+++ This bug was initially created as a clone of Bug #984560 +++

Spec URL:
https://build.opensuse.org/package/view_file/home:yajo:enki/enki?expand=1&file=enki.spec

SRPM URL:
http://download.opensuse.org/repositories/home:/yajo:/enki/Fedora_19/src/enki-12.10.3-4.1.src.rpm

Description:
Text editor for programmers.
Enki is:
    - User friendly. Intuitive interface. Works out of the box. You don’t have
      to read a lot of docs
    - Hacker friendly. Code as quickly as possible. Without mouse.
    - Lighweight. Some IDEs show splash screen. Enki will never do it. It just
      starts quickly.
    - Extensible. Operating systems are designed for running applications.
      Enki is designed for running plugins.
    - Cross platform. Use your habitual editor on any OS. Currently has been
      tested on Linux, MacOS X, Windows.
    - High quality. No long list of fancy features. But, what is done, is done
      well.
    - Open source. This is our religion.

This is my first package for fedora and I need someone to sponsor.

--- Additional comment from Christopher Meng on 2013-07-15 15:58:12 CEST ---

Hey, 

1. Can you build your spec under Fedora instead of OBS?



2. Have you read the guidelines?

- You shouldn't use define to create a custom macro,  please use global;

- Your BuildRequires are wrong, please fix. Like setuptools, you shouldn't use development package. And python version in Fedora doesnt have 2.6.6, please, use Fedora to test.

- You have desktop files installed, but you don't validate it. Please use desktop-file-utils to validate. 

- You have icons installed, please update the cache. 

- Your source0 tag is missing,  however source is ok. But its syntax is wrong again. 

For more details of fixing,  please read our guidelines.

And a friendly note, please do not use OBS to build RPM for Fedora.

--- Additional comment from Antonio Trande on 2013-07-15 15:59:32 CEST ---

Hi Yajo.

Please, add a briefly description of package in the review summary, too.
See this example: http://fedoraproject.org/wiki/File:PackageReviewProcess_review.png

It would be better add a comment about included patch.
See http://fedoraproject.org/wiki/Packaging:Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment

You need a validate task of the '.desktop' file.
http://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files

--- Additional comment from Yajo on 2013-07-17 07:25:56 CEST ---

(In reply to Christopher Meng from comment #1)
> 1. Can you build your spec under Fedora instead of OBS?

Of course. I built it there before uploading.


> 2. Have you read the guidelines?
> 
> [...]

Yes, I did. However sorry for my newbieness. All you said is fixed now.


> And a friendly note, please do not use OBS to build RPM for Fedora.

I found it very practical. Is there any recommended similar service?

This time I uploaded everything to the closed-source Google Drive. I hope people like it.


(In reply to Antonio Trande from comment #2)
> Hi Yajo.
> 
> Please, add a briefly description of package in the review summary, too.
> See this example:
> http://fedoraproject.org/wiki/File:PackageReviewProcess_review.png
> 
> It would be better add a comment about included patch.
> See
> http://fedoraproject.org/wiki/Packaging:
> Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment
> 
> You need a validate task of the '.desktop' file.
> http://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files

All done, thanks.

New SPEC: https://docs.google.com/file/d/0B6L4jqW88ytdamlWdS0zZHR6SjA/edit?usp=sharing

New SRPM: https://docs.google.com/file/d/0B6L4jqW88ytdNzJ0dEQ4b0NDUlk/edit?usp=sharing

--- Additional comment from Yajo on 2013-10-06 13:45:35 CEST ---

New SPEC: https://build.opensuse.org/package/view_file/home:yajo:enki/enki/enki.spec?expand=1

New SRPM: http://download.opensuse.org/repositories/home:/yajo:/enki/Fedora_19/src/enki-13.09.2-5.1.src.rpm

Sorry for using OBS. It's just a way to upload the files. Build has been tested in Fedora with mock first.

Thanks.

--- Additional comment from T.C. Hollingsworth on 2013-10-28 01:03:08 CET ---

(In reply to Yajo from comment #4)
> New SPEC:
> https://build.opensuse.org/package/view_file/home:yajo:enki/enki/enki.
> spec?expand=1

HTML again.  ;-)

--

> %global _iconsbasedir %{?_iconsbasedir:/usr/share/icons/hicolor}
> %global _desktopdir %{?_desktopdir:/usr/share/applications}

Please don't hardcode /usr. Use the appropriate macro for /usr/share instead:
http://fedoraproject.org/wiki/Packaging:RPMMacros

> BuildRequires

Please add BuildRequires on python2-devel:
http://fedoraproject.org/wiki/Packaging:Python#BuildRequires

The -devel subpackage makes available certain RPM macros and may enable other magic in the future, so it needs to be explictly BuildRequired from every python spec file.

> %{_datarootdir}/pixmaps/%{name}.png

Please use %{_datadir} instead.  The GNU coding standards explain the subtle distinction between these two:
https://www.gnu.org/prep/standards/html_node/Directory-Variables.html

--- Additional comment from Yajo on 2014-07-07 18:55:10 CEST ---

(In reply to T.C. Hollingsworth from comment #5)
All fixed.

As always, thanks for the interesting info there, it's a pleasure to learn.

New SRPM: http://download.opensuse.org/repositories/home:/yajo:/enki/Fedora_20/src/enki-14.03.0-7.1.src.rpm

New SPEC: https://build.opensuse.org/source/home:yajo:enki/enki/enki.spec?rev=88e30c8eee4422f224fc25735354d954

Cannot paste koji link until python-qutepart is approved.

Thanks for all!

--- Additional comment from Fedora End Of Life on 2015-01-09 19:55:47 CET ---

This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

--- Additional comment from Raphael Groner on 2015-05-01 11:16:39 CEST ---

Sorry, I can not see why this review depends on another one.

--- Additional comment from Raphael Groner on 2015-05-01 11:24:45 CEST ---

Would you mind to build with Qt5? Well, upstream suggests PyQt4 as a dependency, maybe it buikds also with PyQt5.

--- Additional comment from Yajo on 2015-05-02 13:49:23 CEST ---

(In reply to Raphael Groner from comment #9)
> Would you mind to build with Qt5? Well, upstream suggests PyQt4 as a
> dependency, maybe it buikds also with PyQt5.

Not until https://github.com/hlamer/qutepart/issues/21 gets fixed.

--- Additional comment from Yajo on 2015-05-07 17:49:30 CEST ---

Enki got updated.

SPEC URL: https://build.opensuse.org/source/home:yajo:enki/enki/enki.spec?rev=fab59e6ab419feb6f9c436162b717e0b

SRPM URL: http://download.opensuse.org/repositories/home:/yajo:/enki/Fedora_21/src/enki-15.04.0-9.1.src.rpm

I removed the Spanish descriptions because I think those will work better with AppData.

--- Additional comment from Raphael Groner on 2015-05-31 20:32:51 CEST ---

Is it possible to get it done with PyQt5 (package name for dependency: python-qt5) ?

--- Additional comment from Yajo on 2015-06-02 09:15:39 CEST ---

This depends on python-qutepart, so I guess https://bugzilla.redhat.com/show_bug.cgi?id=1015868#c24 also applies here.
Comment 1 Raphael Groner 2015-11-13 11:51:27 EST
*** Bug 984560 has been marked as a duplicate of this bug. ***
Comment 2 Upstream Release Monitoring 2015-11-13 11:51:39 EST
raphgro's scratch build of enki-15.05.0-1.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11821962
Comment 3 Upstream Release Monitoring 2015-11-13 12:21:47 EST
raphgro's scratch build of enki-15.05.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11822227
Comment 5 Raphael Groner 2015-11-13 12:57:53 EST
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11822674
Comment 6 Upstream Release Monitoring 2015-11-13 13:09:45 EST
raphgro's scratch build of enki-15.05.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11822674
Comment 7 Christian Dersch 2015-11-14 17:27:39 EST
Taken and already reviewing :)
Comment 8 Christian Dersch 2015-11-14 17:35:54 EST
Review done :) Solution: Not approved

TODO:
* License tag should be GPLv2+ and GPLv3+
* Please add licensing breakdown
* Ask upstream about license of files with unknown license
* Ask upstream to include a copy of GPLv3 too



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[?]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.

====> ask upstream about license of files with unknown license

[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later) GPL (v3 or later)", "GPL (v2 or later)",
     "GPL (v3 or later)", "Unknown or generated". 359 files have unknown
     license. Detailed output of licensecheck in
     /home/review/1281876-enki/licensecheck.txt

====> License tag should be GPLv2+ and GPLv3+

[x]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.

====> Please add this, ask upstream about license of files with unknown license

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in enki
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in enki
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.

====> Ask upstream to include a copy of GPL3 too

[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in enki-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: enki-15.05.0-1.fc24.noarch.rpm
          enki-doc-15.05.0-1.fc24.noarch.rpm
          enki-15.05.0-1.fc24.src.rpm
enki.noarch: W: no-manual-page-for-binary enki
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
enki.noarch: W: no-manual-page-for-binary enki
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
enki-doc (rpmlib, GLIBC filtered):

enki (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2
    PyQt4
    ctags
    hicolor-icon-theme
    pyparsing
    python(abi)
    python-docutils
    python-markdown
    python-tre
    python2
    python2-qutepart



Provides
--------
enki-doc:
    enki-doc

enki:
    application()
    application(enki.desktop)
    enki
    mimehandler(text/css)
    mimehandler(text/html)
    mimehandler(text/plain)
    mimehandler(text/x-adasrc)
    mimehandler(text/x-c++src)
    mimehandler(text/x-chdr)
    mimehandler(text/x-cmake)
    mimehandler(text/x-csharp)
    mimehandler(text/x-csrc)
    mimehandler(text/x-fortran)
    mimehandler(text/x-idl)
    mimehandler(text/x-java)
    mimehandler(text/x-lua)
    mimehandler(text/x-makefile)
    mimehandler(text/x-pascal)
    mimehandler(text/x-patch)
    mimehandler(text/x-python)
    mimehandler(text/x-readme)
    mimehandler(text/x-tcl)
    mimehandler(text/x-tex)
    mimehandler(text/x-texinfo)
    mimehandler(text/x-verilog)
    mimehandler(text/x-vhdl)
    mimehandler(text/xml)



Source checksums
----------------
https://github.com/hlamer/enki/archive/v15.05.0.tar.gz#/enki-15.05.0.tar.gz :
  CHECKSUM(SHA256) this package     : 15d04e74cbff44768452fee562dab7bcff2da02edfa5617a37578a814f898076
  CHECKSUM(SHA256) upstream package : 15d04e74cbff44768452fee562dab7bcff2da02edfa5617a37578a814f898076


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1281876
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 9 Christian Dersch 2015-11-14 17:41 EST
Created attachment 1094220 [details]
Output of licensecheck
Comment 10 Raphael Groner 2015-11-17 15:38:40 EST
License clarification: https://github.com/hlamer/enki/issues/344
Comment 11 Raphael Groner 2015-11-17 16:51:44 EST
SPEC: https://raphgro.fedorapeople.org/review/qt/enki/enki.spec
SRPM: https://raphgro.fedorapeople.org/review/qt/enki/enki-15.05.0-2.fc23.src.rpm

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11887946

* Tue Nov 17 2015 Raphael Groner <> - 15.05.0-2
- fix license breakdown
- ignore useless distribution folders
- use python macros to build and install
- split plugins into subpackage
Comment 12 Upstream Release Monitoring 2015-11-17 16:53:22 EST
raphgro's scratch build of enki-15.05.0-2.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11887946
Comment 13 Christian Dersch 2015-11-18 11:56:45 EST
Package itself is fine now :) I'll approve when upstream clarified GPLv2 vs GPLv3 stuff.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[?]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 343 files have
     unknown license. Detailed output of licensecheck in
     /home/review/1281876-enki/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[?]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in enki
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in enki
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.

====> Done by Raphael, https://github.com/hlamer/enki/issues/344

[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in enki-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.

====> Is a noarch package

[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: enki-15.05.0-2.fc24.noarch.rpm
          enki-plugins-15.05.0-2.fc24.noarch.rpm
          enki-doc-15.05.0-2.fc24.noarch.rpm
          enki-15.05.0-2.fc24.src.rpm
enki.noarch: W: no-manual-page-for-binary enki
enki-plugins.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
enki-plugins.noarch: W: no-documentation
enki.noarch: W: no-manual-page-for-binary enki
3 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
enki-plugins (rpmlib, GLIBC filtered):
    enki
    python(abi)

enki-doc (rpmlib, GLIBC filtered):

enki (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2
    PyQt4
    ctags
    hicolor-icon-theme
    pyparsing
    python(abi)
    python-docutils
    python-markdown
    python-tre
    python2
    python2-qutepart



Provides
--------
enki-plugins:
    enki-plugins

enki-doc:
    enki-doc

enki:
    application()
    application(enki.desktop)
    enki
    mimehandler(text/css)
    mimehandler(text/html)
    mimehandler(text/plain)
    mimehandler(text/x-adasrc)
    mimehandler(text/x-c++src)
    mimehandler(text/x-chdr)
    mimehandler(text/x-cmake)
    mimehandler(text/x-csharp)
    mimehandler(text/x-csrc)
    mimehandler(text/x-fortran)
    mimehandler(text/x-idl)
    mimehandler(text/x-java)
    mimehandler(text/x-lua)
    mimehandler(text/x-makefile)
    mimehandler(text/x-pascal)
    mimehandler(text/x-patch)
    mimehandler(text/x-python)
    mimehandler(text/x-readme)
    mimehandler(text/x-tcl)
    mimehandler(text/x-tex)
    mimehandler(text/x-texinfo)
    mimehandler(text/x-verilog)
    mimehandler(text/x-vhdl)
    mimehandler(text/xml)



Source checksums
----------------
https://github.com/hlamer/enki/archive/v15.05.0.tar.gz#/enki-15.05.0.tar.gz :
  CHECKSUM(SHA256) this package     : 15d04e74cbff44768452fee562dab7bcff2da02edfa5617a37578a814f898076
  CHECKSUM(SHA256) upstream package : 15d04e74cbff44768452fee562dab7bcff2da02edfa5617a37578a814f898076


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1281876
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 14 Christian Dersch 2015-11-22 08:44:39 EST
I think we should wait for new 15.11 release https://github.com/hlamer/enki/issues/344#issuecomment-158680829
Comment 15 Raphael Groner 2015-12-03 12:52:41 EST
SPEC: https://raphgro.fedorapeople.org/review/qt/enki/enki.spec
SRPM: https://raphgro.fedorapeople.org/review/qt/enki/enki-15.11.0-1.fc23.src.rpm

rawhide Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=12041466
epel7   Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=12041470

* Thu Dec 03 2015 Raphael Groner <> - 15.11.0-1
- new version
- add python-regex
- remove license breakdown, now generally GPLv2+
Comment 16 Raphael Groner 2015-12-03 12:54:48 EST
test builds:
https://copr.fedoraproject.org/coprs/raphgro/playground/build/144648/
Comment 17 Christian Dersch 2015-12-03 15:12:11 EST
Package looks fine now => APPROVED!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 350 files have unknown license.
     Detailed output of licensecheck in
     /home/review/1281876-enki/licensecheck.txt

====> Whole package is GPLv2+ now as mentioned explicitly by upstream => fine

[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in enki
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in enki
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in enki-doc

====> Not required for a -doc subpackage

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: enki-15.11.0-1.fc24.noarch.rpm
          enki-plugins-15.11.0-1.fc24.noarch.rpm
          enki-doc-15.11.0-1.fc24.noarch.rpm
          enki-15.11.0-1.fc24.src.rpm
enki.noarch: W: no-manual-page-for-binary enki
enki-plugins.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
enki-plugins.noarch: W: no-documentation
enki.noarch: W: no-manual-page-for-binary enki
3 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
enki-plugins (rpmlib, GLIBC filtered):
    enki
    python(abi)

enki-doc (rpmlib, GLIBC filtered):

enki (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2
    PyQt4
    ctags
    hicolor-icon-theme
    pyparsing
    python(abi)
    python-docutils
    python-markdown
    python-regex
    python2
    python2-qutepart



Provides
--------
enki-plugins:
    enki-plugins

enki-doc:
    enki-doc

enki:
    application()
    application(enki.desktop)
    enki
    mimehandler(text/css)
    mimehandler(text/html)
    mimehandler(text/plain)
    mimehandler(text/x-adasrc)
    mimehandler(text/x-c++src)
    mimehandler(text/x-chdr)
    mimehandler(text/x-cmake)
    mimehandler(text/x-csharp)
    mimehandler(text/x-csrc)
    mimehandler(text/x-fortran)
    mimehandler(text/x-idl)
    mimehandler(text/x-java)
    mimehandler(text/x-lua)
    mimehandler(text/x-makefile)
    mimehandler(text/x-pascal)
    mimehandler(text/x-patch)
    mimehandler(text/x-python)
    mimehandler(text/x-readme)
    mimehandler(text/x-tcl)
    mimehandler(text/x-tex)
    mimehandler(text/x-texinfo)
    mimehandler(text/x-verilog)
    mimehandler(text/x-vhdl)
    mimehandler(text/xml)



Source checksums
----------------
https://github.com/hlamer/enki/archive/v15.11.0.tar.gz#/enki-15.11.0.tar.gz :
  CHECKSUM(SHA256) this package     : a4faab826a02e57fe92ee842e30c9eb2ec15be0aefc6e8d5ea9af1116eb00408
  CHECKSUM(SHA256) upstream package : a4faab826a02e57fe92ee842e30c9eb2ec15be0aefc6e8d5ea9af1116eb00408


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1281876
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 18 Upstream Release Monitoring 2015-12-03 17:06:57 EST
raphgro's scratch build of enki-15.11.0-1.fc23.src.rpm for epel7 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12041470
Comment 19 Upstream Release Monitoring 2015-12-03 17:20:36 EST
raphgro's scratch build of enki-15.11.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12041466
Comment 20 Gwyn Ciesla 2015-12-04 07:56:23 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/enki
Comment 21 Fedora Update System 2015-12-04 11:05:18 EST
enki-15.11.0-1.fc23 python-qutepart-2.2.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-175d04c097
Comment 22 Fedora Update System 2015-12-04 11:05:27 EST
enki-15.11.0-1.fc23 python-qutepart-2.2.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-175d04c097
Comment 23 Fedora Update System 2015-12-04 11:07:02 EST
enki-15.11.0-1.fc22 python-qutepart-2.2.2-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-85b822e636
Comment 24 Fedora Update System 2015-12-04 11:07:07 EST
enki-15.11.0-1.fc22 python-qutepart-2.2.2-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-85b822e636
Comment 25 Fedora Update System 2015-12-04 11:08:39 EST
enki-15.11.0-1.el7 python-qutepart-2.2.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c3e2a2e9f9
Comment 26 Fedora Update System 2015-12-04 11:08:43 EST
enki-15.11.0-1.el7 python-qutepart-2.2.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c3e2a2e9f9
Comment 27 Fedora Update System 2015-12-06 00:22:45 EST
enki-15.11.0-1.fc22, python-qutepart-2.2.2-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-qutepart enki'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-85b822e636
Comment 28 Fedora Update System 2015-12-06 03:21:40 EST
enki-15.11.0-1.el7, python-qutepart-2.2.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-qutepart enki'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c3e2a2e9f9
Comment 29 Fedora Update System 2015-12-06 12:21:36 EST
enki-15.11.0-1.fc23, python-qutepart-2.2.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-qutepart enki'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-175d04c097
Comment 30 Fedora Update System 2015-12-16 04:53:44 EST
enki-15.11.0-1.fc22, python-qutepart-2.2.2-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2015-12-16 09:37:41 EST
enki-15.11.0-1.fc23, python-qutepart-2.2.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 32 Yajo 2015-12-18 03:16:08 EST
Could you remove the alias for this bug please? I cannot search for Enki bugs.
Comment 33 Fedora Update System 2016-01-09 12:44:04 EST
enki-15.11.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f154dc4371
Comment 34 Fedora Update System 2016-01-09 12:44:47 EST
enki-15.11.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-35eb73f03b
Comment 35 Fedora Update System 2016-01-09 12:54:40 EST
enki-15.11.0-2.el7 python-qutepart-2.2.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c3e2a2e9f9
Comment 36 Fedora Update System 2016-01-10 14:50:14 EST
enki-15.11.0-2.el7, python-qutepart-2.2.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c3e2a2e9f9
Comment 37 Fedora Update System 2016-01-10 15:24:25 EST
enki-15.11.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-35eb73f03b
Comment 38 Fedora Update System 2016-01-10 15:54:22 EST
enki-15.11.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f154dc4371
Comment 39 Fedora Update System 2016-01-19 18:55:43 EST
enki-15.11.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 40 Fedora Update System 2016-01-30 23:33:18 EST
enki-15.11.0-2.el7, python-qutepart-2.2.2-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.